Create pronunciation dictionary from rules
curl --request POST \
--url https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/add-from-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"language": "en",
"rules": []
}
'import requests
url = "https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/add-from-rules"
payload = {
"name": "<string>",
"language": "en",
"rules": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', language: 'en', rules: []})
};
fetch('https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/add-from-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"current_version": 123,
"created_at_unix": 123,
"updated_at_unix": 123,
"rules": [],
"versions": []
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}Pronunciation Dictionaries
Create pronunciation dictionary from rules
POST
/
api
/
v1
/
tts
/
pronunciation-dictionaries
/
add-from-rules
Create pronunciation dictionary from rules
Authorizations
Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer
Body
application/json
Response
Successful Response
Dictionary identifier
Dictionary display name
Dictionary language code
Current active version number
Creation timestamp in unix seconds
Last update timestamp in unix seconds
Rules in the active version
Show child attributes
Show child attributes
Version history
Show child attributes
Show child attributes
⌘I